ddd-doc_3.3.12-5.1_all.deb


Advertisement

Description

ddd-doc - Additional documentation for the Data Display Debugger

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: ddd-doc
Package version: 3.3.12
Package release: 5.1
Package architecture: all
Package type: deb
Installed size: 1.81 KB
Download size: 1.79 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Replaces

  • ddd << 3.1.90

    Download

    Source package: ddd

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ddd-doc deb package:
      # sudo apt-get install ddd-doc

    Changelog

    2015-11-02 - Laurent Bigonville <bigon@debian.org> ddd (1:3.3.12-5.1) unstable; urgency=medium * Non-maintainer upload. * debian/control: Build-depends against libelf-dev instead of libelfg0-dev, the later doesn't seem to be maintained anymore. (Closes: #803758)

    2013-07-06 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.12-5) unstable; urgency=low * Switch from lesstif to motif. Closes: #714657. * Use dh-autoreconf instead of the previous hand-rolled version. * Remove old ddd-doc.preinst which was for upgrading from older versions than what's in oldstable.

    2012-08-21 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.12-4) unstable; urgency=low * Remove broken ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST configure test, which caused the configure process to thrash the swap and hang. Closes: #682627.

    2011-12-03 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.12-3) unstable; urgency=low * Add -ltinfo to the search path for termcap libraries. Closes: #646170. * Add Build-Depends on info and texinfo. * Remove libxp-dev from Build-Depends, and force configure script not to search for it. Closes: #623640. * Add -Wl,--as-needed to LDFLAGS, to get rid of useless direct linking against SM, ICE, Xpm, Xext libraries.

    2011-07-08 - Wookey <wookey@debian.org> ddd (1:3.3.12-2.1) unstable; urgency=low * Non-maintainer upload. * Fix machine code window view (Closes: #597328)

    2010-09-11 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.12-2) unstable; urgency=low * Drop versioned lpr Build-Depends and instead force LPR=lpr in the configure script's environment. This will hopefully allow ddd to build on kfreebsd-* and migrate into testing, addressing #595849. * Do the same for other utilities not actually used at build time other than to fill out the app-defaults file. * Update to 3.0 (quilt) source format. * Install icon referenced by ddd.desktop. Closes: #592983.

    2009-11-10 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.12-1) unstable; urgency=low * New upstream release. Closes: #555511. Thanks to giagimari@libero.it for pointing out that upstream had moved. + Includes new .desktop file. Closes: #513640. * Put version on lpr Build-Depends to make sure providing package doesn't result in wrong command in app-default file. * Adjust Build-Depends for readline 6 transition. Closes: #553746. * Fix build error with g++-4.4. Closes: #504868. * Minor improvement to package description, thanks to Reuben Thomas. Closes: #460139.

    2005-07-10 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.11-1) unstable; urgency=low * New upstream release. * Rebuild using g++-4.0. * Drop obsolete Build-Depends on g++ and libstdc++5-3.3-dev. Closes: #300216. * Remove Suggests on bashdb, which no longer exists. Closes: #294631. * New patch 003_data_path.diff: change default data directory to /usr/share/ddd, with /usr/share/ddd-$(VERSION) as an alternate, instead of the other way around. * New patch 004_userinfo.diff: add --with-userinfo option to configure to make it easier to override the autodetection. * Update to Standards-Version 3.6.2 (no changes needed).

    2004-07-22 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.9-3) unstable; urgency=low * USERINFO has been renamed to USERINFO.txt; adjust debian/rules code to match, to get correct information on the About DDD dialog.

    2004-07-21 - Daniel Schepler <schepler@debian.org> ddd (1:3.3.9-2) unstable; urgency=low * Rebuild against libstdc++5-3.3-dev 1:3.3.4-5 to get dynamic linking against -lstdc++.

    Advertisement
    Advertisement